module TwoFactorDevices
  # email device, store email address as value
  class EmailDevice < TwoFactorDevice
    validates :value, email: true

    def masked_value
      value.split('@').map { |part| part.gsub(/(?<=.)\w(?=.)/, '*') }.join('@')
    end
  end
end
