module TwoFactorDevices
  module Devices
    # device manager
    class Manager
      delegate :prepare_device, :register_device!, to: :registrator
      delegate :make_challenge, :validate, to: :validator

      protected

      def validator
        @validator ||= Validator.new
      end

      def registrator
        @registrator ||= Registrator.new
      end
    end
  end
end
