module TwoFactorDevices
  # Engine class
  class Engine < Rails::Engine
    isolate_namespace TwoFactorDevices

    config.before_initialize do
      config.i18n.load_path += Dir[File.join(config.root, 'config', 'locales', '**', '*.yml')]
    end

    initializer 'local_helper.action_controller' do
      ActiveSupport.on_load :action_controller do
        helper TwoFactorDevices::DeviceHelper
      end
    end
  end
end
