module TwoFactorDevices
  # base gateway for code sending
  class Gateway
    def self.send_otp(device, code)
      TwoFactorDevices.gateway(DEVICE_TYPES.key(device.class.to_s))&.constantize&.send_otp(code, device.value)
    rescue TwoFactorDevices::EmailOtpError, TwoFactorDevices::PhoneOtpError => e
      raise e
    rescue StandardError => e
      raise TwoFactorDevices::SendOtpError, e
    end
  end
end
